> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizmori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Detection 주문 확인

> S3에 이미지 업로드가 완료되었음을 확인하고 비동기 AI 감지 처리를 시작합니다.

주문 생성 엔드포인트에서 받은 프리사인드 URL로 이미지를 업로드한 후 이 엔드포인트를 호출하세요. 주문 상태가 `pending`에서 `inProgress`로 변경됩니다.

감지 결과는 웹훅(`order.aiDetection.completed` 또는 `order.aiDetection.failed`)으로 전달되거나, [주문 상세 조회](/ko/api-reference/orders/get-order) 엔드포인트를 폴링하여 확인할 수 있습니다.

동일한 `idempotencyKey`로 재요청 시 현재 주문 상태를 반환합니다. (중복 처리 방지)




## OpenAPI

````yaml /ko/api-reference/openapi.yaml post /api/v2/orders/ai-detection/confirm
openapi: 3.0.0
info:
  title: BIZ MORI API
  version: 2.0.0
  description: |
    BIZ MORI API는 디지털 콘텐츠 보호를 위한 네 가지 핵심 서비스를 제공합니다:
    - **Anti-AI**: 이미지를 AI 학습으로부터 보호
    - **Watermark Embed**: 이미지에 보이지 않는 디지털 워터마크 삽입
    - **Watermark Extract**: 이미지에서 워터마크 추출 및 검증
    - **AI Detection**: 이미지가 AI로 생성되었는지 감지
  contact:
    name: BIZ MORI 지원
    email: support@bizmori.com
servers:
  - url: https://api.bizmori.com
    description: 프로덕션
security: []
tags:
  - name: Anti-AI
    description: AI 학습 방지 이미지 보호 주문
  - name: Watermark Embed
    description: 워터마크 삽입 주문
  - name: Watermark Extract
    description: 워터마크 추출 주문
  - name: AI Detection
    description: AI 생성 이미지 감지 주문
  - name: Orders
    description: 주문 조회 및 관리
  - name: Webhooks
    description: 웹훅 설정 및 이벤트
paths:
  /api/v2/orders/ai-detection/confirm:
    post:
      tags:
        - AI Detection
      summary: AI Detection 주문 확인
      description: >
        S3에 이미지 업로드가 완료되었음을 확인하고 비동기 AI 감지 처리를 시작합니다.


        주문 생성 엔드포인트에서 받은 프리사인드 URL로 이미지를 업로드한 후 이 엔드포인트를 호출하세요. 주문 상태가
        `pending`에서 `inProgress`로 변경됩니다.


        감지 결과는 웹훅(`order.aiDetection.completed` 또는 `order.aiDetection.failed`)으로
        전달되거나, [주문 상세 조회](/ko/api-reference/orders/get-order) 엔드포인트를 폴링하여 확인할 수
        있습니다.


        동일한 `idempotencyKey`로 재요청 시 현재 주문 상태를 반환합니다. (중복 처리 방지)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - idempotencyKey
                - orderId
              properties:
                idempotencyKey:
                  type: string
                  description: 중복 요청 방지를 위한 멱등성 키. 동일한 키로 재요청 시 재처리 없이 현재 주문 상태를 반환합니다.
                  example: 01950c7e-f6b2-7000-8000-abcdef123456
                orderId:
                  type: string
                  description: 주문 ID
      responses:
        '200':
          description: 처리 시작됨
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 주문 ID
                      status:
                        type: string
                        enum:
                          - inProgress
                        description: 주문 상태
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -X POST
            "https://api.bizmori.com/api/v2/orders/ai-detection/confirm" \
              -H "Authorization: Bearer YOUR_API_TOKEN" \
              -H "Content-Type: application/json" \
              -d '{"idempotencyKey": "YOUR_IDEMPOTENCY_KEY", "orderId": "ORDER_ID"}'
        - lang: javascript
          label: JavaScript
          source: |-
            const response = await fetch(
              'https://api.bizmori.com/api/v2/orders/ai-detection/confirm',
              {
                method: 'POST',
                headers: {
                  'Authorization': 'Bearer YOUR_API_TOKEN',
                  'Content-Type': 'application/json'
                },
                body: JSON.stringify({ idempotencyKey: 'YOUR_IDEMPOTENCY_KEY', orderId: 'ORDER_ID' })
              }
            );
            const data = await response.json();
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.post(
                'https://api.bizmori.com/api/v2/orders/ai-detection/confirm',
                headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
                json={'idempotencyKey': 'YOUR_IDEMPOTENCY_KEY', 'orderId': 'ORDER_ID'}
            )
            data = response.json()
components:
  responses:
    BadRequest:
      description: 잘못된 요청
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: VALIDATION_FAILED
    Unauthorized:
      description: 인증 실패
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: AUTH_NOT_AUTHENTICATED
    NotFound:
      description: 리소스를 찾을 수 없음
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: RESOURCE_NOT_FOUND
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: 에러 코드
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 외부 클라이언트 접근을 위한 API 키

````